# Class: Logger

## .utils/logger. Logger

#### new Logger()

  A logger class that you can mix into your classes to handle logging settings and state at an object level. See utils/logger for the members of this class

  Source:
    - utils/logger.js, line 20
  See:
    - utils/logger

### Methods

#### all()

  Turns on all logging levels

  Source:
    - utils/logger.js, line 35

#### debug(The)

  Log a `debug` call

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `The` | string | value to log

  Source:
    - utils/logger.js, line 61

#### error(The)

  Log a `error` call

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `The` | string | value to log

  Source:
    - utils/logger.js, line 79

#### info(The)

  Log a `info` call

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `The` | string | value to log

  Source:
    - utils/logger.js, line 67

#### level(lvl)

  Sets the logging level to one of `trace`, `debug`, `info`, `warn`, `error`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `lvl` | string | The level to set it to. Can be one of `trace`, `debug`, `info`, `warn`, `error`.

  Source:
    - utils/logger.js, line 43

#### silent()

  Turn off all logging. If you log something, it will not error, but will not do anything either and the cycles are minimal.

  Source:
    - utils/logger.js, line 28

#### trace(The)

  Log a `trace` call

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `The` | string | value to log

  Source:
    - utils/logger.js, line 55

#### warn(The)

  Log a `warn` call

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `The` | string | value to log

  Source:
    - utils/logger.js, line 73